Bug 133044 - Undo (CTRL-Z) creates some extra characters when undo a composed character
Undo (CTRL-Z) creates some extra characters when undo a composed character
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: i18n
Depends On:
  Show dependency treegraph
Reported: 2004-09-21 00:49 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-22 00:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-09-21 00:49:26 EDT
Description of problem:
After removing a composed character which makes up 3 characters, to
undo the event, user will need to type CTRL-Z 3 times. In addition,
indivaidual charcters that made up the composed characters were
returned as well. Hence, instaed of returning one single character, 3
characters are returned.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use gedit application to open the UTF-8.txt supplied
2. Remove one korean character which can be found near the end of file
3. Ctrl-Z to undo action
Actual results:
Compose character toegther with the elements that made up the
character are returned.

Expected results:
One single compose character is returned

Additional info:
Comment 1 Leon Ho 2004-09-21 08:04:33 EDT
Here is the test case:
- wget
- open UTF-8.txt in gedit
- Go to end of hangul extended line
- delete part of the character.
- press ctrl-z
Comment 2 Owen Taylor 2004-09-21 10:55:26 EDT
I think there are multiple things going on here - without touching
the delete key at all I can get bizarre behavior with gedit.

Open up a new window, with a Korean input method, enter a syllable
and commit it. The first press of C-z deletes the character ... looks
good. But repeatedly typing C-z after that results in junk being
inserted into the buffer.

THis is probably some combination of GtkTextView bugs and
GtkSourceView bugs ... undo is implemented as a layer on *top* of
Comment 3 Leon Ho 2004-10-22 00:18:27 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.